summaryrefslogtreecommitdiff
path: root/yocto-poky/scripts/postinst-intercepts/update_font_cache
diff options
context:
space:
mode:
Diffstat (limited to 'yocto-poky/scripts/postinst-intercepts/update_font_cache')
-rw-r--r--yocto-poky/scripts/postinst-intercepts/update_font_cache4
1 files changed, 3 insertions, 1 deletions
diff --git a/yocto-poky/scripts/postinst-intercepts/update_font_cache b/yocto-poky/scripts/postinst-intercepts/update_font_cache
index 0deab3c11..bf65e19a4 100644
--- a/yocto-poky/scripts/postinst-intercepts/update_font_cache
+++ b/yocto-poky/scripts/postinst-intercepts/update_font_cache
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir} \
- -E ${fontconfigcacheenv} $D${bindir}/fc-cache --sysroot=$D ${fontconfigcacheparams}
+ -E ${fontconfigcacheenv} $D${bindir}/fc-cache --sysroot=$D --system-only ${fontconfigcacheparams}
chown -R root:root $D${fontconfigcachedir}